Index: /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/HeuristicLab.Problems.MetaOptimization.Views-3.3.csproj
===================================================================
--- /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/HeuristicLab.Problems.MetaOptimization.Views-3.3.csproj	(revision 4983)
+++ /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/HeuristicLab.Problems.MetaOptimization.Views-3.3.csproj	(revision 4984)
@@ -105,9 +105,9 @@
       <DependentUpon>ValueConfigurationCheckedItemList.cs</DependentUpon>
     </Compile>
-    <Compile Include="ValueConfigurationViews\NumericRangeView.cs">
+    <Compile Include="ValueConfigurationViews\RangeView.cs">
       <SubType>UserControl</SubType>
     </Compile>
-    <Compile Include="ValueConfigurationViews\NumericRangeView.Designer.cs">
-      <DependentUpon>NumericRangeView.cs</DependentUpon>
+    <Compile Include="ValueConfigurationViews\RangeView.Designer.cs">
+      <DependentUpon>RangeView.cs</DependentUpon>
     </Compile>
     <Compile Include="ObjectSelectorDialog.cs">
@@ -137,6 +137,6 @@
       <DependentUpon>RootValueConfigurationView.cs</DependentUpon>
     </EmbeddedResource>
-    <EmbeddedResource Include="ValueConfigurationViews\NumericRangeView.resx">
-      <DependentUpon>NumericRangeView.cs</DependentUpon>
+    <EmbeddedResource Include="ValueConfigurationViews\RangeView.resx">
+      <DependentUpon>RangeView.cs</DependentUpon>
     </EmbeddedResource>
     <EmbeddedResource Include="ObjectSelectorDialog.resx">
Index: /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/OptimizableView.cs
===================================================================
--- /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/OptimizableView.cs	(revision 4983)
+++ /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/OptimizableView.cs	(revision 4984)
@@ -29,4 +29,5 @@
     protected override void DeregisterContentEvents() {
       Content.OptimizeChanged -= new EventHandler(Content_OptimizeChanged);
+      Content.IsOptimizableChanged -= new EventHandler(Content_IsOptimizabeChanged);
       base.DeregisterContentEvents();
     }
@@ -34,4 +35,5 @@
     protected override void RegisterContentEvents() {
       base.RegisterContentEvents();
+      Content.IsOptimizableChanged += new EventHandler(Content_IsOptimizabeChanged);
       Content.OptimizeChanged += new EventHandler(Content_OptimizeChanged);
     }
@@ -46,17 +48,12 @@
           this.viewHost.ViewType = null;
           if (Content is IParameterConfiguration) {
-            // this is a shortcut if only one possible ValueConfiguration is available
-            //if (((IParameterConfiguration)Content).ValueConfigurations.Count == 1) {
-            //  IValueConfiguration vc = ((IParameterConfiguration)Content).ValueConfigurations.First();
-            //  vc.Optimize = true;
-            //  this.viewHost.Content = vc;
-            //} else {
-            //  this.viewHost.Content = ((IParameterConfiguration)Content).ValueConfigurations;
-            //}
             this.viewHost.Content = ((IParameterConfiguration)Content).ValueConfigurations;
           } else if (Content is IValueConfiguration) {
             if (Content.ConstrainedValue.ValueDataType == typeof(IntValue) ||
-                Content.ConstrainedValue.ValueDataType == typeof(DoubleValue)) {
+                Content.ConstrainedValue.ValueDataType == typeof(DoubleValue) ||
+                Content.ConstrainedValue.ValueDataType == typeof(PercentValue)) {
               this.viewHost.Content = ((IValueConfiguration)Content).RangeConstraint;
+            } else if(Content.ConstrainedValue.ValueDataType == typeof(BoolValue)) {
+              this.viewHost.Content = null; // no configuration required
             } else {
               this.viewHost.Content = ((IValueConfiguration)Content).ParameterConfigurations;
@@ -68,4 +65,11 @@
           this.viewHost.Content = Content.ConstrainedValue;
         }
+      }
+    }
+    void Content_IsOptimizabeChanged(object sender, EventArgs e) {
+      if (InvokeRequired) {
+        Invoke(new EventHandler(Content_IsOptimizabeChanged), sender, e);
+      } else {
+        SetEnabledStateOfControls();
       }
     }
@@ -83,4 +87,7 @@
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
+      if (Content != null) {
+        this.optimizeCheckBox.Enabled = !this.ReadOnly && Content.IsOptimizable;
+      }
     }
 
Index: anches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/ValueConfigurationViews/NumericRangeView.Designer.cs
===================================================================
--- /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/ValueConfigurationViews/NumericRangeView.Designer.cs	(revision 4983)
+++ 	(revision )
@@ -1,127 +1,0 @@
-﻿namespace HeuristicLab.Problems.MetaOptimization.Views {
-  partial class IntValueRangeView {
-    /// <summary> 
-    /// Required designer variable.
-    /// </summary>
-    private System.ComponentModel.IContainer components = null;
-
-    /// <summary> 
-    /// Clean up any resources being used.
-    /// </summary>
-    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
-    protected override void Dispose(bool disposing) {
-      if (disposing && (components != null)) {
-        components.Dispose();
-      }
-      base.Dispose(disposing);
-    }
-
-    #region Component Designer generated code
-
-    /// <summary> 
-    /// Required method for Designer support - do not modify 
-    /// the contents of this method with the code editor.
-    /// </summary>
-    private void InitializeComponent() {
-      this.label1 = new System.Windows.Forms.Label();
-      this.label2 = new System.Windows.Forms.Label();
-      this.lowerValueView = new HeuristicLab.Data.Views.StringConvertibleValueView();
-      this.upperValueView = new HeuristicLab.Data.Views.StringConvertibleValueView();
-      this.label3 = new System.Windows.Forms.Label();
-      this.stepSizeValueView = new HeuristicLab.Data.Views.StringConvertibleValueView();
-      this.SuspendLayout();
-      // 
-      // label1
-      // 
-      this.label1.AutoSize = true;
-      this.label1.Location = new System.Drawing.Point(3, 3);
-      this.label1.Name = "label1";
-      this.label1.Size = new System.Drawing.Size(36, 13);
-      this.label1.TabIndex = 0;
-      this.label1.Text = "Lower";
-      // 
-      // label2
-      // 
-      this.label2.AutoSize = true;
-      this.label2.Location = new System.Drawing.Point(3, 32);
-      this.label2.Name = "label2";
-      this.label2.Size = new System.Drawing.Size(36, 13);
-      this.label2.TabIndex = 1;
-      this.label2.Text = "Upper";
-      // 
-      // lowerValueView
-      // 
-      this.lowerValueView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.lowerValueView.Caption = "StringConvertibleValue View";
-      this.lowerValueView.Content = null;
-      this.lowerValueView.LabelVisible = true;
-      this.lowerValueView.Location = new System.Drawing.Point(38, 0);
-      this.lowerValueView.Name = "lowerValueView";
-      this.lowerValueView.ReadOnly = false;
-      this.lowerValueView.Size = new System.Drawing.Size(396, 23);
-      this.lowerValueView.TabIndex = 2;
-      // 
-      // upperValueView
-      // 
-      this.upperValueView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.upperValueView.Caption = "StringConvertibleValue View";
-      this.upperValueView.Content = null;
-      this.upperValueView.LabelVisible = true;
-      this.upperValueView.Location = new System.Drawing.Point(38, 29);
-      this.upperValueView.Name = "upperValueView";
-      this.upperValueView.ReadOnly = false;
-      this.upperValueView.Size = new System.Drawing.Size(396, 23);
-      this.upperValueView.TabIndex = 3;
-      // 
-      // label3
-      // 
-      this.label3.AutoSize = true;
-      this.label3.Location = new System.Drawing.Point(3, 61);
-      this.label3.Name = "label3";
-      this.label3.Size = new System.Drawing.Size(29, 13);
-      this.label3.TabIndex = 4;
-      this.label3.Text = "Step";
-      // 
-      // stepSizeValueView
-      // 
-      this.stepSizeValueView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.stepSizeValueView.Caption = "StringConvertibleValue View";
-      this.stepSizeValueView.Content = null;
-      this.stepSizeValueView.LabelVisible = true;
-      this.stepSizeValueView.Location = new System.Drawing.Point(38, 58);
-      this.stepSizeValueView.Name = "stepSizeValueView";
-      this.stepSizeValueView.ReadOnly = false;
-      this.stepSizeValueView.Size = new System.Drawing.Size(396, 23);
-      this.stepSizeValueView.TabIndex = 5;
-      // 
-      // IntValueRangeView
-      // 
-      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.Controls.Add(this.label3);
-      this.Controls.Add(this.stepSizeValueView);
-      this.Controls.Add(this.label2);
-      this.Controls.Add(this.label1);
-      this.Controls.Add(this.upperValueView);
-      this.Controls.Add(this.lowerValueView);
-      this.Name = "IntValueRangeView";
-      this.Size = new System.Drawing.Size(434, 85);
-      this.ResumeLayout(false);
-      this.PerformLayout();
-
-    }
-
-    #endregion
-
-    private System.Windows.Forms.Label label1;
-    private System.Windows.Forms.Label label2;
-    private Data.Views.StringConvertibleValueView lowerValueView;
-    private Data.Views.StringConvertibleValueView upperValueView;
-    private System.Windows.Forms.Label label3;
-    private Data.Views.StringConvertibleValueView stepSizeValueView;
-
-  }
-}
Index: anches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/ValueConfigurationViews/NumericRangeView.cs
===================================================================
--- /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/ValueConfigurationViews/NumericRangeView.cs	(revision 4983)
+++ 	(revision )
@@ -1,60 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Drawing;
-using System.Data;
-using System.Linq;
-using System.Text;
-using System.Windows.Forms;
-using HeuristicLab.MainForm;
-using HeuristicLab.Core.Views;
-using HeuristicLab.Core;
-using HeuristicLab.Data;
-
-namespace HeuristicLab.Problems.MetaOptimization.Views {
-  /// <summary>
-  /// The visual representation of a <see cref="IIntegerRange"/>.
-  /// </summary>
-  [View("IntValueRange View")]
-  [Content(typeof(IRange<IntValue>), false)]
-  public partial class IntValueRangeView : ItemView {
-    /// <summary>
-    /// Gets or sets the variable to represent visually.
-    /// </summary>
-    /// <remarks>Uses property <see cref="ViewBase.Item"/> of base class <see cref="ViewBase"/>.
-    /// No own data storage present.</remarks>
-    public new IRange<IntValue> Content {
-      get { return (IRange<IntValue>)base.Content; }
-      set { base.Content = value; }
-    }
-
-    public IntValueRangeView() {
-      InitializeComponent();
-    }
-
-    protected override void RegisterContentEvents() {
-      base.RegisterContentEvents();
-    }
-
-    protected override void DeregisterContentEvents() {
-      base.DeregisterContentEvents();
-    }
-
-    protected override void OnContentChanged() {
-      base.OnContentChanged();
-      if (Content != null) {
-        lowerValueView.Content = Content.LowerBound;
-        upperValueView.Content = Content.UpperBound;
-        stepSizeValueView.Content = Content.StepSize;
-      } else {
-        lowerValueView.Content = null;
-        upperValueView.Content = null;
-        stepSizeValueView.Content = null;
-      }
-    }
-
-    protected override void SetEnabledStateOfControls() {
-      base.SetEnabledStateOfControls();
-    }
-  }
-}
Index: anches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/ValueConfigurationViews/NumericRangeView.resx
===================================================================
--- /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/ValueConfigurationViews/NumericRangeView.resx	(revision 4983)
+++ 	(revision )
@@ -1,120 +1,0 @@
-﻿<?xml version="1.0" encoding="utf-8"?>
-<root>
-  <!-- 
-    Microsoft ResX Schema 
-    
-    Version 2.0
-    
-    The primary goals of this format is to allow a simple XML format 
-    that is mostly human readable. The generation and parsing of the 
-    various data types are done through the TypeConverter classes 
-    associated with the data types.
-    
-    Example:
-    
-    ... ado.net/XML headers & schema ...
-    <resheader name="resmimetype">text/microsoft-resx</resheader>
-    <resheader name="version">2.0</resheader>
-    <resheader name="reader">System.Resources.ResXResourceReader, System.Windows.Forms, ...</resheader>
-    <resheader name="writer">System.Resources.ResXResourceWriter, System.Windows.Forms, ...</resheader>
-    <data name="Name1"><value>this is my long string</value><comment>this is a comment</comment></data>
-    <data name="Color1" type="System.Drawing.Color, System.Drawing">Blue</data>
-    <data name="Bitmap1" mimetype="application/x-microsoft.net.object.binary.base64">
-        <value>[base64 mime encoded serialized .NET Framework object]</value>
-    </data>
-    <data name="Icon1" type="System.Drawing.Icon, System.Drawing" mimetype="application/x-microsoft.net.object.bytearray.base64">
-        <value>[base64 mime encoded string representing a byte array form of the .NET Framework object]</value>
-        <comment>This is a comment</comment>
-    </data>
-                
-    There are any number of "resheader" rows that contain simple 
-    name/value pairs.
-    
-    Each data row contains a name, and value. The row also contains a 
-    type or mimetype. Type corresponds to a .NET class that support 
-    text/value conversion through the TypeConverter architecture. 
-    Classes that don't support this are serialized and stored with the 
-    mimetype set.
-    
-    The mimetype is used for serialized objects, and tells the 
-    ResXResourceReader how to depersist the object. This is currently not 
-    extensible. For a given mimetype the value must be set accordingly:
-    
-    Note - application/x-microsoft.net.object.binary.base64 is the format 
-    that the ResXResourceWriter will generate, however the reader can 
-    read any of the formats listed below.
-    
-    mimetype: application/x-microsoft.net.object.binary.base64
-    value   : The object must be serialized with 
-            : System.Runtime.Serialization.Formatters.Binary.BinaryFormatter
-            : and then encoded with base64 encoding.
-    
-    mimetype: application/x-microsoft.net.object.soap.base64
-    value   : The object must be serialized with 
-            : System.Runtime.Serialization.Formatters.Soap.SoapFormatter
-            : and then encoded with base64 encoding.
-
-    mimetype: application/x-microsoft.net.object.bytearray.base64
-    value   : The object must be serialized into a byte array 
-            : using a System.ComponentModel.TypeConverter
-            : and then encoded with base64 encoding.
-    -->
-  <xsd:schema id="root" xmlns="" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
-    <xsd:import namespace="http://www.w3.org/XML/1998/namespace" />
-    <xsd:element name="root" msdata:IsDataSet="true">
-      <xsd:complexType>
-        <xsd:choice maxOccurs="unbounded">
-          <xsd:element name="metadata">
-            <xsd:complexType>
-              <xsd:sequence>
-                <xsd:element name="value" type="xsd:string" minOccurs="0" />
-              </xsd:sequence>
-              <xsd:attribute name="name" use="required" type="xsd:string" />
-              <xsd:attribute name="type" type="xsd:string" />
-              <xsd:attribute name="mimetype" type="xsd:string" />
-              <xsd:attribute ref="xml:space" />
-            </xsd:complexType>
-          </xsd:element>
-          <xsd:element name="assembly">
-            <xsd:complexType>
-              <xsd:attribute name="alias" type="xsd:string" />
-              <xsd:attribute name="name" type="xsd:string" />
-            </xsd:complexType>
-          </xsd:element>
-          <xsd:element name="data">
-            <xsd:complexType>
-              <xsd:sequence>
-                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
-                <xsd:element name="comment" type="xsd:string" minOccurs="0" msdata:Ordinal="2" />
-              </xsd:sequence>
-              <xsd:attribute name="name" type="xsd:string" use="required" msdata:Ordinal="1" />
-              <xsd:attribute name="type" type="xsd:string" msdata:Ordinal="3" />
-              <xsd:attribute name="mimetype" type="xsd:string" msdata:Ordinal="4" />
-              <xsd:attribute ref="xml:space" />
-            </xsd:complexType>
-          </xsd:element>
-          <xsd:element name="resheader">
-            <xsd:complexType>
-              <xsd:sequence>
-                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
-              </xsd:sequence>
-              <xsd:attribute name="name" type="xsd:string" use="required" />
-            </xsd:complexType>
-          </xsd:element>
-        </xsd:choice>
-      </xsd:complexType>
-    </xsd:element>
-  </xsd:schema>
-  <resheader name="resmimetype">
-    <value>text/microsoft-resx</value>
-  </resheader>
-  <resheader name="version">
-    <value>2.0</value>
-  </resheader>
-  <resheader name="reader">
-    <value>System.Resources.ResXResourceReader, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
-  </resheader>
-  <resheader name="writer">
-    <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
-  </resheader>
-</root>
Index: /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/ValueConfigurationViews/RangeView.Designer.cs
===================================================================
--- /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/ValueConfigurationViews/RangeView.Designer.cs	(revision 4984)
+++ /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/ValueConfigurationViews/RangeView.Designer.cs	(revision 4984)
@@ -0,0 +1,127 @@
+﻿namespace HeuristicLab.Problems.MetaOptimization.Views {
+  partial class RangeView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.label1 = new System.Windows.Forms.Label();
+      this.label2 = new System.Windows.Forms.Label();
+      this.lowerValueView = new HeuristicLab.Data.Views.StringConvertibleValueView();
+      this.upperValueView = new HeuristicLab.Data.Views.StringConvertibleValueView();
+      this.label3 = new System.Windows.Forms.Label();
+      this.stepSizeValueView = new HeuristicLab.Data.Views.StringConvertibleValueView();
+      this.SuspendLayout();
+      // 
+      // label1
+      // 
+      this.label1.AutoSize = true;
+      this.label1.Location = new System.Drawing.Point(3, 3);
+      this.label1.Name = "label1";
+      this.label1.Size = new System.Drawing.Size(36, 13);
+      this.label1.TabIndex = 0;
+      this.label1.Text = "Lower";
+      // 
+      // label2
+      // 
+      this.label2.AutoSize = true;
+      this.label2.Location = new System.Drawing.Point(3, 32);
+      this.label2.Name = "label2";
+      this.label2.Size = new System.Drawing.Size(36, 13);
+      this.label2.TabIndex = 1;
+      this.label2.Text = "Upper";
+      // 
+      // lowerValueView
+      // 
+      this.lowerValueView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.lowerValueView.Caption = "StringConvertibleValue View";
+      this.lowerValueView.Content = null;
+      this.lowerValueView.LabelVisible = true;
+      this.lowerValueView.Location = new System.Drawing.Point(38, 0);
+      this.lowerValueView.Name = "lowerValueView";
+      this.lowerValueView.ReadOnly = false;
+      this.lowerValueView.Size = new System.Drawing.Size(396, 23);
+      this.lowerValueView.TabIndex = 2;
+      // 
+      // upperValueView
+      // 
+      this.upperValueView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.upperValueView.Caption = "StringConvertibleValue View";
+      this.upperValueView.Content = null;
+      this.upperValueView.LabelVisible = true;
+      this.upperValueView.Location = new System.Drawing.Point(38, 29);
+      this.upperValueView.Name = "upperValueView";
+      this.upperValueView.ReadOnly = false;
+      this.upperValueView.Size = new System.Drawing.Size(396, 23);
+      this.upperValueView.TabIndex = 3;
+      // 
+      // label3
+      // 
+      this.label3.AutoSize = true;
+      this.label3.Location = new System.Drawing.Point(3, 61);
+      this.label3.Name = "label3";
+      this.label3.Size = new System.Drawing.Size(29, 13);
+      this.label3.TabIndex = 4;
+      this.label3.Text = "Step";
+      // 
+      // stepSizeValueView
+      // 
+      this.stepSizeValueView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.stepSizeValueView.Caption = "StringConvertibleValue View";
+      this.stepSizeValueView.Content = null;
+      this.stepSizeValueView.LabelVisible = true;
+      this.stepSizeValueView.Location = new System.Drawing.Point(38, 58);
+      this.stepSizeValueView.Name = "stepSizeValueView";
+      this.stepSizeValueView.ReadOnly = false;
+      this.stepSizeValueView.Size = new System.Drawing.Size(396, 23);
+      this.stepSizeValueView.TabIndex = 5;
+      // 
+      // IntValueRangeView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.label3);
+      this.Controls.Add(this.stepSizeValueView);
+      this.Controls.Add(this.label2);
+      this.Controls.Add(this.label1);
+      this.Controls.Add(this.upperValueView);
+      this.Controls.Add(this.lowerValueView);
+      this.Name = "IntValueRangeView";
+      this.Size = new System.Drawing.Size(434, 85);
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.Label label1;
+    private System.Windows.Forms.Label label2;
+    private Data.Views.StringConvertibleValueView lowerValueView;
+    private Data.Views.StringConvertibleValueView upperValueView;
+    private System.Windows.Forms.Label label3;
+    private Data.Views.StringConvertibleValueView stepSizeValueView;
+
+  }
+}
Index: /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/ValueConfigurationViews/RangeView.cs
===================================================================
--- /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/ValueConfigurationViews/RangeView.cs	(revision 4984)
+++ /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/ValueConfigurationViews/RangeView.cs	(revision 4984)
@@ -0,0 +1,59 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Drawing;
+using System.Data;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using HeuristicLab.MainForm;
+using HeuristicLab.Core.Views;
+using HeuristicLab.Core;
+using HeuristicLab.Data;
+using HeuristicLab.Problems.MetaOptimization.Views.ValueConfigurationViews;
+
+namespace HeuristicLab.Problems.MetaOptimization.Views {
+  /// <summary>
+  /// The visual representation of a <see cref="IRange"/>.
+  /// </summary>
+  [View("Range View")]
+  [Content(typeof(IRange<>), false)]
+  public partial class RangeView : ItemView {
+    /// <summary>
+    /// Gets or sets the variable to represent visually.
+    /// </summary>
+    public new IRange Content {
+      get { return (IRange)base.Content; }
+      set { base.Content = value; }
+    }
+
+    public RangeView() {
+      InitializeComponent();
+    }
+
+    protected override void RegisterContentEvents() {
+      base.RegisterContentEvents();
+    }
+
+    protected override void DeregisterContentEvents() {
+      base.DeregisterContentEvents();
+    }
+
+    protected override void OnContentChanged() {
+      base.OnContentChanged();
+      if (Content != null) {
+        lowerValueView.Content = (IStringConvertibleValue)Content.LowerBound;
+        upperValueView.Content = (IStringConvertibleValue)Content.UpperBound;
+        stepSizeValueView.Content = (IStringConvertibleValue)Content.StepSize;
+      } else {
+        lowerValueView.Content = null;
+        upperValueView.Content = null;
+        stepSizeValueView.Content = null;
+      }
+    }
+
+    protected override void SetEnabledStateOfControls() {
+      base.SetEnabledStateOfControls();
+    }
+  }
+}
Index: /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/ValueConfigurationViews/RangeView.resx
===================================================================
--- /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/ValueConfigurationViews/RangeView.resx	(revision 4984)
+++ /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/ValueConfigurationViews/RangeView.resx	(revision 4984)
@@ -0,0 +1,120 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<root>
+  <!-- 
+    Microsoft ResX Schema 
+    
+    Version 2.0
+    
+    The primary goals of this format is to allow a simple XML format 
+    that is mostly human readable. The generation and parsing of the 
+    various data types are done through the TypeConverter classes 
+    associated with the data types.
+    
+    Example:
+    
+    ... ado.net/XML headers & schema ...
+    <resheader name="resmimetype">text/microsoft-resx</resheader>
+    <resheader name="version">2.0</resheader>
+    <resheader name="reader">System.Resources.ResXResourceReader, System.Windows.Forms, ...</resheader>
+    <resheader name="writer">System.Resources.ResXResourceWriter, System.Windows.Forms, ...</resheader>
+    <data name="Name1"><value>this is my long string</value><comment>this is a comment</comment></data>
+    <data name="Color1" type="System.Drawing.Color, System.Drawing">Blue</data>
+    <data name="Bitmap1" mimetype="application/x-microsoft.net.object.binary.base64">
+        <value>[base64 mime encoded serialized .NET Framework object]</value>
+    </data>
+    <data name="Icon1" type="System.Drawing.Icon, System.Drawing" mimetype="application/x-microsoft.net.object.bytearray.base64">
+        <value>[base64 mime encoded string representing a byte array form of the .NET Framework object]</value>
+        <comment>This is a comment</comment>
+    </data>
+                
+    There are any number of "resheader" rows that contain simple 
+    name/value pairs.
+    
+    Each data row contains a name, and value. The row also contains a 
+    type or mimetype. Type corresponds to a .NET class that support 
+    text/value conversion through the TypeConverter architecture. 
+    Classes that don't support this are serialized and stored with the 
+    mimetype set.
+    
+    The mimetype is used for serialized objects, and tells the 
+    ResXResourceReader how to depersist the object. This is currently not 
+    extensible. For a given mimetype the value must be set accordingly:
+    
+    Note - application/x-microsoft.net.object.binary.base64 is the format 
+    that the ResXResourceWriter will generate, however the reader can 
+    read any of the formats listed below.
+    
+    mimetype: application/x-microsoft.net.object.binary.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Binary.BinaryFormatter
+            : and then encoded with base64 encoding.
+    
+    mimetype: application/x-microsoft.net.object.soap.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Soap.SoapFormatter
+            : and then encoded with base64 encoding.
+
+    mimetype: application/x-microsoft.net.object.bytearray.base64
+    value   : The object must be serialized into a byte array 
+            : using a System.ComponentModel.TypeConverter
+            : and then encoded with base64 encoding.
+    -->
+  <xsd:schema id="root" xmlns="" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
+    <xsd:import namespace="http://www.w3.org/XML/1998/namespace" />
+    <xsd:element name="root" msdata:IsDataSet="true">
+      <xsd:complexType>
+        <xsd:choice maxOccurs="unbounded">
+          <xsd:element name="metadata">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" />
+              </xsd:sequence>
+              <xsd:attribute name="name" use="required" type="xsd:string" />
+              <xsd:attribute name="type" type="xsd:string" />
+              <xsd:attribute name="mimetype" type="xsd:string" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="assembly">
+            <xsd:complexType>
+              <xsd:attribute name="alias" type="xsd:string" />
+              <xsd:attribute name="name" type="xsd:string" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="data">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+                <xsd:element name="comment" type="xsd:string" minOccurs="0" msdata:Ordinal="2" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" msdata:Ordinal="1" />
+              <xsd:attribute name="type" type="xsd:string" msdata:Ordinal="3" />
+              <xsd:attribute name="mimetype" type="xsd:string" msdata:Ordinal="4" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="resheader">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" />
+            </xsd:complexType>
+          </xsd:element>
+        </xsd:choice>
+      </xsd:complexType>
+    </xsd:element>
+  </xsd:schema>
+  <resheader name="resmimetype">
+    <value>text/microsoft-resx</value>
+  </resheader>
+  <resheader name="version">
+    <value>2.0</value>
+  </resheader>
+  <resheader name="reader">
+    <value>System.Resources.ResXResourceReader, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+  <resheader name="writer">
+    <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+</root>
Index: /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encodings/ParameterConfigurations/ParameterConfiguration.cs
===================================================================
--- /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encodings/ParameterConfigurations/ParameterConfiguration.cs	(revision 4983)
+++ /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encodings/ParameterConfigurations/ParameterConfiguration.cs	(revision 4984)
@@ -9,5 +9,9 @@
 namespace HeuristicLab.Problems.MetaOptimization {
   [StorableClass]
-  public class ParameterConfiguration : DeepCloneable, IParameterConfiguration, IStorableContent {
+  public class ParameterConfiguration : Item, IParameterConfiguration, IStorableContent {
+    public bool IsOptimizable { 
+      get { return true; } 
+    }
+
     [Storable]
     public string Filename { get; set; }
@@ -26,4 +30,5 @@
           }
           OnOptimizeChanged();
+          OnToStringChanged();
         }
       }
@@ -37,4 +42,5 @@
         if (parameterName != value) {
           parameterName = value;
+          OnToStringChanged();
         }
       }
@@ -65,5 +71,11 @@
     public ICheckedValueConfigurationCollection ValueConfigurations {
       get { return this.valueConfigurations; }
-      protected set { this.valueConfigurations = value; }
+      protected set {
+        if (this.valueConfigurations != value) {
+          if (this.valueConfigurations != null) DeregisterValueConfigurationEvents();
+          this.valueConfigurations = value;
+          if (this.valueConfigurations != null) RegisterValueConfigurationEvents();
+        }
+      }
     }
 
@@ -116,4 +128,16 @@
     #endregion
 
+    private void RegisterValueConfigurationEvents() {
+      this.ValueConfigurations.CheckedItemsChanged += new Collections.CollectionItemsChangedEventHandler<IValueConfiguration>(ValueConfigurations_CheckedItemsChanged);
+      this.ValueConfigurations.ItemsAdded += new Collections.CollectionItemsChangedEventHandler<IValueConfiguration>(ValueConfigurations_ItemsAdded);
+      this.ValueConfigurations.ItemsRemoved += new Collections.CollectionItemsChangedEventHandler<IValueConfiguration>(ValueConfigurations_ItemsRemoved);
+    }
+
+    private void DeregisterValueConfigurationEvents() {
+      this.ValueConfigurations.CheckedItemsChanged -= new Collections.CollectionItemsChangedEventHandler<IValueConfiguration>(ValueConfigurations_CheckedItemsChanged);
+      this.ValueConfigurations.ItemsAdded -= new Collections.CollectionItemsChangedEventHandler<IValueConfiguration>(ValueConfigurations_ItemsAdded);
+      this.ValueConfigurations.ItemsRemoved -= new Collections.CollectionItemsChangedEventHandler<IValueConfiguration>(ValueConfigurations_ItemsRemoved);
+    }
+
     private void PopulateValueConfigurations() {
       foreach (IItem validValue in this.validValues) {
@@ -132,23 +156,13 @@
     }
 
-    //void ValidValues_CheckedItemsChanged(object sender, Collections.CollectionItemsChangedEventArgs<Collections.IndexedItem<IItem>> e) {
-    //  var oldItems = e.OldItems.Select(x => x.Value);
-    //  var newItems = e.Items.Select(x => x.Value);
-    //  var intersection = oldItems.Intersect(newItems);
-    //  var removedItems = oldItems.Where(x => !intersection.Contains(x));
-    //  var addedItems = newItems.Where(x => !intersection.Contains(x));
-
-    //  foreach (var item in removedItems) {
-    //    RemoveValueConfiguration(item);
-    //  }
-    //  foreach (var item in addedItems) {
-    //    this.ValueConfigurations.Add(new ValueConfiguration(item, item.GetType()));
-    //  }
-    //}
-
-    //private void RemoveValueConfiguration(IItem item) {
-    //  IValueConfiguration vc = this.ValueConfigurations.Single(x => x.ValueDataType == item.GetType());
-    //  this.ValueConfigurations.Remove(vc);
-    //}
+    void ValueConfigurations_CheckedItemsChanged(object sender, Collections.CollectionItemsChangedEventArgs<IValueConfiguration> e) {
+      OnToStringChanged();
+    }
+    void ValueConfigurations_ItemsRemoved(object sender, Collections.CollectionItemsChangedEventArgs<IValueConfiguration> e) {
+      OnToStringChanged();
+    }
+    void ValueConfigurations_ItemsAdded(object sender, Collections.CollectionItemsChangedEventArgs<IValueConfiguration> e) {
+      OnToStringChanged();
+    }
 
     #region INamedItem Properties
@@ -167,15 +181,12 @@
       get { return false; }
     }
-    public virtual string ItemDescription {
-      get { return parameter.Description; }
-    }
-    public virtual System.Drawing.Image ItemImage {
-      get { return parameter.ItemImage; }
-    }
-    public virtual string ItemName {
-      get { return parameter.ItemName; }
-    }
-    public virtual Version ItemVersion {
-      get { return parameter.ItemVersion; }
+    public override string ItemDescription {
+      get { return parameter != null ? parameter.Description : base.ItemDescription; }
+    }
+    public override System.Drawing.Image ItemImage {
+      get { return parameter != null ? parameter.ItemImage : base.ItemImage; }
+    }
+    public override string ItemName {
+      get { return parameter != null ?parameter.ItemName : base.ItemName; }
     }
     #endregion
@@ -199,15 +210,9 @@
       if (handler != null) handler(sender, e);
     }
-
-    public virtual event EventHandler ItemImageChanged;
-    protected virtual void OnItemImageChanged(object sender, EventArgs e) {
-      var handler = ItemImageChanged;
-      if (handler != null) handler(sender, e);
-    }
-
-    public virtual event EventHandler ToStringChanged;
-    protected virtual void OnStringChanged(object sender, EventArgs e) {
-      var handler = ToStringChanged;
-      if (handler != null) handler(this, e); // important to set 'this' as sender
+    
+    public virtual event EventHandler IsOptimizableChanged;
+    private void OnIsOptimizableChanged() {
+      var handler = IsOptimizableChanged;
+      if (handler != null) handler(this, EventArgs.Empty);
     }
 
@@ -220,5 +225,9 @@
 
     public override string ToString() {
-      return string.Format("{0}: {1}", ParameterName, ConstrainedValue.Value);
+      if (Optimize) {
+        return string.Format("{0}: (Optimize: {1})", ParameterName, ValueConfigurations.CheckedItems.Count());
+      } else {
+        return string.Format("{0}: {1}", ParameterName, ConstrainedValue.Value);
+      }
     }
 
@@ -226,5 +235,4 @@
       if (parameter is IValueParameter) {
         IValueParameter valueParameter = parameter as IValueParameter;
-
         return new ParameterConfiguration(parameter.Name, valueParameter);
       }
Index: /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encodings/ValueConfigurations/ValueConfiguration.cs
===================================================================
--- /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encodings/ValueConfigurations/ValueConfiguration.cs	(revision 4983)
+++ /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encodings/ValueConfigurations/ValueConfiguration.cs	(revision 4984)
@@ -10,4 +10,15 @@
   // TODO: ItemName/Descr, storability
   public class ValueConfiguration : Item, IValueConfiguration {
+    protected bool isOptimizable;
+    public bool IsOptimizable {
+      get { return isOptimizable; }
+      set {
+        if (this.isOptimizable != value) {
+          this.isOptimizable = value;
+          OnIsOptimizableChanged();
+        }
+      }
+    }
+
     protected bool optimize;
     public bool Optimize {
@@ -52,13 +63,18 @@
       get { return rangeConstraint; }
     }
-    
+
     #region Constructors and Cloning
     public ValueConfiguration(IItem value, Type valueDataType) {
       this.ParameterConfigurations = new ItemList<IParameterConfiguration>();
       this.ConstrainedValue = new ConstrainedValue(value, valueDataType);
+      this.IsOptimizable = true;
       if (constrainedValue.ValueDataType == typeof(IntValue)) {
         rangeConstraint = new Range<IntValue>(new IntValue(0), (IntValue)value, new IntValue(1));
       } else if (constrainedValue.ValueDataType == typeof(DoubleValue)) {
-        rangeConstraint = new Range<DoubleValue>(new DoubleValue(0), (DoubleValue)value, new DoubleValue(0.1));
+        rangeConstraint = new Range<DoubleValue>(new DoubleValue(0), (DoubleValue)value, new DoubleValue(0.01));
+      } else if (constrainedValue.ValueDataType == typeof(PercentValue)) {
+        rangeConstraint = new Range<PercentValue>(new PercentValue(0), new PercentValue(1), new PercentValue(0.001));
+      } else if (constrainedValue.ValueDataType == typeof(BoolValue)) {
+        this.IsOptimizable = false; // there is nothing to configure for bools
       } else {
         rangeConstraint = null;
@@ -74,4 +90,5 @@
       this.ConstrainedValue = cloner.Clone(original.ConstrainedValue);
       this.rangeConstraint = cloner.Clone(original.RangeConstraint);
+      this.IsOptimizable = original.IsOptimizable;
       RegisterEvents();
     }
@@ -131,4 +148,10 @@
     }
 
+    public virtual event EventHandler IsOptimizableChanged;
+    private void OnIsOptimizableChanged() {
+      var handler = IsOptimizableChanged;
+      if (handler != null) handler(this, EventArgs.Empty);
+    }
+
     public virtual event EventHandler OptimizeChanged;
     protected virtual void OnOptimizeChanged() {
@@ -140,13 +163,20 @@
     public override string ToString() {
       if (ConstrainedValue != null && ConstrainedValue.Value != null) {
-        if(Optimize) {
-          return string.Format("{0}: {1}", ConstrainedValue.Value.ItemName, RangeConstraint);
+        if (ConstrainedValue.Value is IParameterizedItem) {
+          if (Optimize) {
+            return string.Format("{0} (Optimize)", ConstrainedValue.Value.ItemName);
+          } else {
+            return string.Format("{0}", ConstrainedValue.Value.ItemName);
+          }
         } else {
-          return string.Format("{0}: {1}", ConstrainedValue.Value.ItemName, ConstrainedValue.Value);
-        }        
+          if (Optimize) {
+            return string.Format("{0} (Optimize: {1})", ConstrainedValue.Value.ItemName, RangeConstraint);
+          } else {
+            return string.Format("{0}: {1}", ConstrainedValue.Value.ItemName, ConstrainedValue.Value);
+          }
+        }
       } else {
         return base.ToString();
       }
-
     }
   }
Index: /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Interfaces/IOptimizable.cs
===================================================================
--- /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Interfaces/IOptimizable.cs	(revision 4983)
+++ /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Interfaces/IOptimizable.cs	(revision 4984)
@@ -8,6 +8,9 @@
 namespace HeuristicLab.Problems.MetaOptimization {
   public interface IOptimizable : IItem {
+    bool IsOptimizable { get; }
     bool Optimize { get; set; }
     ConstrainedValue ConstrainedValue { get; set; }
+
+    event EventHandler IsOptimizableChanged;
     event EventHandler OptimizeChanged;
   }
